#!/bin/sh
export MACPORTS_VERSION=1.9.1
export SRC_PATH=$HOME/Grisbi
export MACPORTS_PATH=$SRC_PATH/macports
export BUILD_PATH=$SRC_PATH/build
export TMP=/tmp/skl
export MACPORTS=$TMP/Grisbi.app/Contents/Resources
export PATH=$MACPORTS/bin:/Developer/Tools:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/X11/bin

export TCLPACKAGE=$MACPORTS/Library/Tcl
export APPLICATION_DIR=$MACPORTS/Applications
export FRAMEWORK_DIR=$MACPORTS/Library/Framework

# export UNIVERSAL_ARCH="i386 x86_64"
# export UNIVERSAL_ARCH="i386 ppc"
# export UNIVERSAL_ARCH="ppc i386"

# Prepare some folders to build Grisbi
mkdir $BUILD_PATH/Grisbi.app

cd $MACPORTS_PATH
if [ ! -e MacPorts-$MACPORTS_VERSION.tar.bz2 ]; then
curl -O http://distfiles.macports.org/MacPorts/MacPorts-$MACPORTS_VERSION.tar.bz2
fi
tar -xjf MacPorts-$MACPORTS_VERSION.tar.bz2

# Prepare folder used to launch Grisbi
rm -rf $TMP
mkdir -p $TMP
ln -s $BUILD_PATH/Grisbi.app $TMP/Grisbi.app

# Install MacPorts
cd MacPorts-$MACPORTS_VERSION
# ./configure --prefix=$MACPORTS --enable-readline --with-universal-archs=$UNIVERSAL_ARCH --with-tclpackage=$TCLPACKAGE --with-applications-dir=$APPLICATION_DIR --with-frameworks-dir=$FRAMEWORK_DIR LDFLAGS=-L/usr/X11/lib
./configure --prefix=$MACPORTS --enable-readline --with-tclpackage=$TCLPACKAGE --with-applications-dir=$APPLICATION_DIR --with-frameworks-dir=$FRAMEWORK_DIR LDFLAGS=-L/usr/X11/lib
make
sudo make install
cd ..
rm -rf MacPorts-$MACPORTS_VERSION

# sudo cp $MACPORTS_PATH/etc/macports.conf $MACPORTS/etc/macports
sudo cp $MACPORTS_PATH/etc/sources.conf $MACPORTS/etc/macports
sudo cp $MACPORTS_PATH/etc/variants.conf $MACPORTS/etc/macports
sudo $MACPORTS/bin/port -dv selfupdate
cd $SRC_PATH/portfile
$MACPORTS/bin/portindex
sudo $MACPORTS/bin/port -dv sync

# Install Grisbi
sudo $MACPORTS/bin/port -dv install cairo +quartz +no_x11
sudo $MACPORTS/bin/port -dv install pango-devel +quartz +no_x11
sudo $MACPORTS/bin/port -dv install gtk2 +quartz +no_x11
sudo $MACPORTS/bin/port -dv install gtk-engines2 +quartz +no_x11
sudo $MACPORTS/bin/port -dv install grisbi-devel +quartz +no_x11
